routes/web.php
<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\NewsController as AdminNewsController;
use App\Http\Controllers\Admin\TaskController as AdminTaskController;
use App\Http\Controllers\CallbackController;
use App\Http\Controllers\GeneratorController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\NewsController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/**
 * @Auth
 */
Auth::routes(['verify' => true]);

/**
 * @Public
 */
Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('/news', [NewsController::class, 'index'])->name('news.index');
Route::get('/callback', [CallbackController::class, 'index'])->name('callback.index');
Route::post('/callback', [CallbackController::class, 'store'])->name('callback.store');

Route::get('/generator', [GeneratorController::class, 'index'])->name('generator.index');
Route::post('/generator', [GeneratorController::class, 'store'])->name('generator.store');

Route::group(['middleware' => 'auth'], function () {
    Route::get('/profile', [ProfileController::class, 'show'])->name('profile.index');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
});

/**
 * @Admin
 */
Route::middleware('admin')
    ->prefix('admin')
    ->name('admin.')
    ->group(function () {
        Route::get('/', [AdminController::class, 'index'])->name('index');
        Route::resource('tasks', AdminTaskController::class)->except('show', 'index');
        Route::get('/tasks/linked-parameter-view', [AdminTaskController::class, 'getLinkParameterView']);

        Route::resource('/news', AdminNewsController::class)->except('show', 'index');
    });

app/Models/News.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class News extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function getImageUrlAttribute(): string
    {
        return Storage::url($this->image);
    }
}

app/Http/Controllers/Admin/NewsController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\NewsCreateRequest;
use App\Models\News;
use ErlandMuchasaj\LaravelFileUploader\Exceptions\UploadFailed;
use ErlandMuchasaj\LaravelFileUploader\FileUploader;
use Exception;
use Illuminate\Http\RedirectResponse;
use Illuminate\View\View;
use Throwable;

class NewsController extends Controller
{
    public function create(): View
    {
        return view('admin.news.create', [
            'news' => null,
            'action' => route('admin.news.store'),
            'method' => 'POST',
        ]);
    }

    /**
     * @throws UploadFailed
     * @throws Exception
     */
    public function store(NewsCreateRequest $request): RedirectResponse
    {
        $news = News::query()->create($request->safe()->except('image'));

        try {
            if (! $news) {
                throw new Exception();
            }

            if ($file = $request->file('image')) {
                $response = FileUploader::store($file);

                if ($response) {
                    $news->image = $response['path'];
                    $news->save();
                }
            }

            session()->flash('success_messages', 'Новость создана');
        } catch (Throwable $e) {
            throw $e;
            session()->flash('error_messages', 'Не удалось создать новость');

            return redirect(route('admin.news.create'));
        }

        return redirect(route('admin.index'));
    }

    public function edit(int $id): View
    {
        return view('admin.news.create', [
            'news' => $news = News::query()->findOrFail($id),
            'action' => route('admin.news.update', compact('news')),
            'method' => 'PUT',
        ]);
    }

    public function update(int $id, NewsCreateRequest $request): RedirectResponse
    {
        $news = News::query()->findOrFail($id);

        $updated = $news->update($request->safe()->except('image'));

        try {
            if (! $updated) {
                throw new Exception();
            }

            if ($file = $request->file('image')) {
                FileUploader::remove($news->image);

                $response = FileUploader::store($file);

                if ($response) {
                    $news->image = $response['path'];
                    $news->save();
                }
            }

            session()->flash('success_messages', 'Новость обновлена');
        } catch (Throwable $e) {
            session()->flash('error_messages', 'Не удалось обновить новость');
        }

        return back();
    }

    public function destroy(int $id): RedirectResponse
    {
        News::query()->where('id', $id)->delete();

        return redirect(route('admin.index'));
    }
}

app/Http/Controllers/NewsController.php
<?php

namespace App\Http\Controllers;

use App\Models\News;
use Illuminate\View\View;

class NewsController extends Controller
{
    public function index(): View
    {
        return view('pages.news', [
            'news' => News::all(),
        ]);
    }
}

resources/views/admin/news/create.blade.php
@props([
    'news',
    'action',
    'method',
])

<x-layouts.admin>
    <x-slot name="title">{{ $news ? 'Изменить новость' : 'Создать новость' }}</x-slot>

    <div class="container">
        <h4 class="text-center mb-4">{{ $news ? 'Изменить новость' : 'Создать новость' }}</h4>
        <form method="POST" action="{{ $action }}" enctype="multipart/form-data">
            @csrf
            @method($method)

            <x-panels.forms.group name="link">
                <label for="link">Ссылка</label>
                <input type="url" class="form-control @error('link') is-invalid @enderror" id="link" name="link" value="{{ old('link', $news?->link) }}" placeholder="Введите ссылку" required>
            </x-panels.forms.group>

            <x-panels.forms.group name="title">
                <label for="title">Название</label>
                <input type="text" class="form-control @error('title') is-invalid @enderror" id="title" name="title" value="{{ old('title', $news?->title) }}" placeholder="Введите название" required>
            </x-panels.forms.group>

            <x-panels.forms.group name="description">
                <label for="description">Описание</label>
                <textarea class="form-control @error('description') is-invalid @enderror" id="description" name="description" rows="3" placeholder="Введите описание" required>{{ old('description', $news?->description) }}</textarea>
            </x-panels.forms.group>

            <x-panels.forms.group name="date">
                <label for="date">Дата</label>
                <input type="date" class="form-control @error('description') is-invalid @enderror" id="date" name="date" value="{{ old('date', $news?->date) }}" placeholder="Введите дату публикации" required>
            </x-panels.forms.group>

            <x-panels.forms.group name="image">
                <label for="image">Изображение</label>

                <input class="form-control @error('image') is-invalid @enderror" id="image" name="image" type="file" value="{{ old('title', $news?->title) }}">

                @if(old('image', $news?->image_url))
                    <div class="my-4">
                        <img class="w-25 h-25" src="{{ old('image', $news?->image_url) }}" alt="{{ old('title', $news?->title) }}"/>
                    </div>
                @endif
            </x-panels.forms.group>

            <x-panels.forms.actions />
        </form>
    </div>
</x-layouts.admin>